package org.openxma.rwt.bridge;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class RedirectServlet extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1845552387310300960L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		redirect(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		redirect(request, response);
	}

	static void redirect(HttpServletRequest request, HttpServletResponse response) throws IOException {
		if (request.getPathInfo().equals("/")) {
			response.sendRedirect(response.encodeRedirectURL("openxma?startup=tis"));
		} else {
			response.sendError(HttpServletResponse.SC_NOT_FOUND);
		}
	}
}