package org.openxma.rwt.bridge;

import org.eclipse.rwt.application.Application;
import org.eclipse.rwt.application.Application.OperationMode;
import org.eclipse.rwt.application.ApplicationConfiguration;


import org.eclipse.rwt.lifecycle.IEntryPoint;
import org.openxma.rwt.launch.EmbeddInternalComponent;

 
public class XMARWTApplicationConfigurator implements ApplicationConfiguration {	
	
	public void configure( Application application ) {
		application.addEntryPoint("/ajax",getDefaultEntryPointType(),null);
	    /* switch on the SWT-compatible event loop (does not support transparent session failover) */
		application.setOperationMode(OperationMode.SWT_COMPATIBILITY);
	    XMARWTConfiguration.createConfiguration(this);	    
	}
	protected Class<? extends IEntryPoint> getDefaultEntryPointType() {
		return EmbeddInternalComponent.class;
	}

	public String getDefaultComponentName() {		
		return null;
	}

}

