package org.openxma.rwt.bridge;

public class XMARWTConfiguration {
	
	static XMARWTConfiguration xmaRWTConfiguration;
	
	String defaultComponentName;
	
	static public void createConfiguration(XMARWTApplicationConfigurator oac) {
		xmaRWTConfiguration = new XMARWTConfiguration(oac);
	}
	
	static public XMARWTConfiguration getInstance() {
		if (xmaRWTConfiguration == null) {
			throw new RuntimeException("XMARWTConfiguration not created.");
		}
		return xmaRWTConfiguration;
	}
	
	public XMARWTConfiguration(XMARWTApplicationConfigurator oac) {
		defaultComponentName = oac.getDefaultComponentName();		
	}
	
	public String getDefaultComponentName() {
		return defaultComponentName;
	}	

}
