package org.openxma.rwt.bridge;

import javax.servlet.ServletContextEvent;

import org.eclipse.rwt.engine.RWTServletContextListener;

import at.spardat.xma.boot.Launcher;

public class XMARWTServletContextListener extends RWTServletContextListener {

	@Override
	public void contextDestroyed(ServletContextEvent arg0) {
		super.contextDestroyed(arg0);		
	}

	@Override
	public void contextInitialized(ServletContextEvent arg0) {
		super.contextInitialized(arg0);
	    try {		
			System.out.println("Start openXMA bootruntime setup...");
			/* Deploy the bootruntime */
			BootruntimeDeployer deployer = new BootruntimeDeployer(arg0.getServletContext());		
			deployer.deploy();
			/* Intitialise the bootruntime */
			Launcher.init();
			System.out.println("openXMA bootruntime setup completed.");			
		} catch (Exception e) {
			throw new RuntimeException("The openXMA bootruntime could not be setup",e);
		}					
	}

}
